package com.abi.platform.api;


import com.abi.platform.Base.BaseResponse;
import com.abi.platform.dto.req.BatchImportBrandReq;
import com.abi.platform.dto.req.BatchImportOrginzationReq;
import com.abi.platform.dto.req.BatchImportSkuReq;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author: fangxinjian
 * @date: 2021/06/02 11:26
 * @description: sap导入数据
 */
@RequestMapping("/sap")
public interface BaseSapImportApi {

    /**
     * 批量导入组织架构数据
     *
     * @param batchImportOrginzationReq 批量导入组织架构数据入参
     * @return
     */
    @PostMapping("batchImportOrginzation")
    BaseResponse batchImportOrginzation(@RequestBody BatchImportOrginzationReq batchImportOrginzationReq);

    /**
     * 批量导入SKU数据
     *
     * @param batchImportSkuReq 批量导入SKU数据入参
     * @return
     */
    @PostMapping("batchImportSku")
    BaseResponse batchImportSku(@RequestBody BatchImportSkuReq batchImportSkuReq);

    /**
     * 批量导入品牌数据
     *
     * @param batchImportBrandReq 批量导入品牌数据入参
     * @return
     */
    @PostMapping("batchImportBrand")
    BaseResponse batchImportBrand(@RequestBody BatchImportBrandReq batchImportBrandReq);
}