package com.abi.qms.platform.controller.console;

import com.abi.qms.platform.annotation.PassToken;
import com.abi.qms.platform.dto.req.BatchImportBrandReq;
import com.abi.qms.platform.dto.req.BatchImportOrginzationReq;
import com.abi.qms.platform.dto.req.BatchImportSkuReq;
import com.abi.qms.platform.service.BaseSapBrandService;
import com.abi.qms.platform.service.BaseSapOrginzationService;
import com.abi.qms.platform.service.BaseSapSkuService;
import com.abi.task.common.api.base.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: fangxinjian
 * @date: 2021/06/01 15:57
 * @description:
 */
@Slf4j
@RestController
@RequestMapping("sap")
@Api(tags = "sap导入数据")
public class BaseSapImportController {

    @Autowired
    private BaseSapOrginzationService baseSapOrginzationService;

    @Autowired
    private BaseSapSkuService baseSapSkuService;

    @Autowired
    private BaseSapBrandService baseSapBrandService;


    @ApiOperation("批量导入组织架构数据")
    @PostMapping("batchImportOrginzation")
    @PassToken
    public BaseResponse batchImportOrginzation(@RequestBody BatchImportOrginzationReq batchImportOrginzationReq) {

        baseSapOrginzationService.batchImportOrginzation(batchImportOrginzationReq);
        //包装出参
        return BaseResponse.create();
    }


    @ApiOperation("批量导入SKU数据")
    @PostMapping("batchImportSku")
    @PassToken
    public BaseResponse batchImportSku(@RequestBody BatchImportSkuReq batchImportSkuReq) {

        baseSapSkuService.batchImportSku(batchImportSkuReq);
        //包装出参
        return BaseResponse.create();
    }

    @ApiOperation("批量导入品牌数据")
    @PostMapping("batchImportBrand")
    @PassToken
    public BaseResponse batchImportBrand(@RequestBody BatchImportBrandReq batchImportBrandReq) {

        baseSapBrandService.batchImportBrand(batchImportBrandReq);
        //包装出参
        return BaseResponse.create();
    }


}
