package com.abi.qms.platform.controller.console;

import com.abi.qms.platform.dto.req.ReportReq;
import com.abi.qms.platform.dto.res.ListBrandCodeReportRes;
import com.abi.qms.platform.service.ReportService;
import com.abi.task.common.api.base.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author ludashi
 * @date 2021年06月02日 15:37
 */
@Slf4j
@RestController
@RequestMapping("factory")
@Api(tags = "数据看板")
public class ReportController {

    @Autowired
    private ReportService reportService;


    @ApiOperation("品牌使用码量占比")
    @GetMapping("/queryBrandCodeProportion")
    public BaseResponse<ListBrandCodeReportRes> queryBrandCodeProportion(@Validated ReportReq reportReq) {
        ListBrandCodeReportRes result= reportService.queryBrandCodeProportion(reportReq);
       return BaseResponse.create(result);
    }

}
