package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.BaseMaterial;
import com.abi.qms.platform.dao.vo.result.MaterialVO;
import com.abi.qms.platform.dto.req.GetMaterialReq;
import com.abi.qms.platform.dto.req.GetPackageCodeReq;
import com.abi.qms.platform.dto.req.ListMaterialReq;
import com.abi.qms.platform.dto.req.QrOnePackageBatchReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 物料信息表 Mapper 接口
 * </p>
 *
 * @author Andy.Tan
 */
public interface BaseMaterialMapper extends BaseMapper<BaseMaterial> {

    /**
     * 分页查询物料
     *
     * @param page
     * @param req
     * @return
     */
    IPage<MaterialVO> listMaterial(IPage page, @Param("req") ListMaterialReq req);

    /**
     * 获取码类型
     * @param req
     * @return
     */
    MaterialVO getPackageCodeType(@Param("req") GetPackageCodeReq req);

}
