package com.abi.qms.platform.dao.vo.result;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 码单查对象 qr_package
 *
 * @author KaixiangGuo
 * @date: 2021-05-27
 */
@Data
@ApiModel
public class QrSingleCheckVO implements Serializable {

	@ApiModelProperty("码包id")
	private Long id;

	@ApiModelProperty("SAP单号")
	private String sapOrderNo;

	@ApiModelProperty("物料名称")
	private String materialName;

	@ApiModelProperty(value = "sku名称")
	private String skuName;

	@ApiModelProperty("包材厂名称")
	private String factoryCoverName;

	@ApiModelProperty("啤酒厂名称")
	private String factoryBeerName;

	@ApiModelProperty("码包生成时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime generateTime;

	@ApiModelProperty("二维码类型 1-箱码 2-盖码")
	private Integer qrType;

	@ApiModelProperty("活动名称")
	private String activeName;

	@ApiModelProperty("活动域名")
	private String activeUrl;

	@ApiModelProperty(value = "激活状态")
	private Integer activeStatus;

	@ApiModelProperty("激活时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime activeTime;

	@ApiModelProperty("激活人")
	private String activeUserName;

	@ApiModelProperty("批次号")
	private String batchNumber;

	@ApiModelProperty("隐形码")
	private String alias;

	@ApiModelProperty("条码序号")
	private String boxCode;


}
