package com.abi.qms.platform.dto.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 编辑活动入参
 */
@Data
@ApiModel
public class UpdateActiveReq implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "活动名称")
    private String activeName;

    @ApiModelProperty(value = "活动类型 1-utc 2-bof 3-品质信息")
    private Integer activeType;

    @ApiModelProperty(value = "活动开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime beginTime;

    @ApiModelProperty(value = "活动结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "品牌code")
    private List<String> brandCodeList;

    @ApiModelProperty(value = "活动域名")
    private String activeUrl;

    @ApiModelProperty(value = "关联码包(新增)")
    private List<Long> qrPackageIdAddList;

    @ApiModelProperty(value = "关联码包(删除)")
    private List<Long> qrPackageIdDeleteList;

}
