package com.abi.qms.platform.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author: fangxinjian
 * @date: 2021/05/28 11:14
 * @description: 箱码合一打印出参信息
 */
@Data
@ApiModel
public class PrintingDetailRes implements Serializable {

    @ApiModelProperty(value = "条码序号")
    private String boxCode;

    @ApiModelProperty(value = "起始二维码")
    private String beginQrCode;

    @ApiModelProperty(value = "结束二维码")
    private String endQrCode;

    @ApiModelProperty(value = "条数")
    private Long qrCodeCount;

    @ApiModelProperty(value = "生成日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "包材厂名称")
    private String factoryCoverName;

    @ApiModelProperty(value = "啤酒厂名称")
    private String factoryBeerName;

    @ApiModelProperty(value = "sku名称")
    private String skuName;

}
