package com.abi.qms.platform.service;


import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.*;

/**
 * <p>
 * 活动管理
 * </p>
 *
 * @author Andy.Tan
 */
public interface ActiveService{


    /**
     * 新增活动
     * @param addActiveReq
     * @throws Exception
     */
    void addActive(AddActiveReq addActiveReq);

    /**
     * 编辑活动
     * @param updateActiveReq
     */
    void updateActive(UpdateActiveReq updateActiveReq);

    /**
     * 修改码活动（已审核通过）
     * @param req
     */
    void resubmitActive(ResubmitActiveReq req);

    /**
     * 分页查询活动
     * @param listActiveReq
     * @return
     */
    ListActiveRes listActive(ListActiveReq listActiveReq);

    /**
     * 查询活动明细(编辑审核页面)
     * @param getActiveReq
     * @return
     */
    GetActiveRes getActive(GetActiveReq getActiveReq);

    /**
     * 分页查询关联的码包列表(编辑审核页面)
     * @param getActiveReq
     * @return
     */
    ListActivePackageRes listActivePackage(GetActiveReq getActiveReq);

    /**
     * 查询活动明细(重新提交申请单审核页面)
     * @param getActiveModifyApplyReq
     * @return
     */
    GetActiveModifyApplyRes getActiveModifyApplyRes(GetActiveModifyApplyReq getActiveModifyApplyReq);

    /**
     * 分页查询关联的码包列表(重新提交申请单审核页面)
     * @param getActiveModifyApplyReq
     * @return
     */
    ListActiveModifyApplyPackageRes listActiveModifyApplyPackage(GetActiveModifyApplyReq getActiveModifyApplyReq);

    /**
     * 分页查询码活动未关联的码包列表(新增修改页面)
     * @param listActivePackageAddReq
     * @return
     */
    ListActivePackageAddRes listActivePackageAdd(ListActivePackageAddReq listActivePackageAddReq);

    /**
     * 活动启用
     * @param enableActiveReq
     */
    void enableActive(EnableActiveReq enableActiveReq);

    /**
     * 活动禁用
     * @param disableActiveReq
     */
    void disableActive(DisableActiveReq disableActiveReq);

    /**
     * 审核通过活动
     */
    void passActive(PassActiveReq req);

    /**
     * 审核驳回活动
     */
    void refuseActive(RefuseActiveReq req);

    /**
     * 审核通过活动申请单
     */
    void passActiveModifyApply(PassActiveModifyApplyReq req);

    /**
     * 审核驳回活动申请单
     */
    void refuseActiveModifyApply(RefuseActiveModifyApplyReq req);


}
